<?php 

 add_action('init', 'add_button_note');
 
 function add_button_note() {
   if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )
   {
     add_filter('mce_external_plugins', 'add_plugin_note');
     add_filter('mce_buttons_3', 'register_button_note');
   }
}

function register_button_note($buttons) {
   array_push($buttons, "note");
   return $buttons;
}

function add_plugin_note($plugin_array) {
   $plugin_array['note'] = get_bloginfo('template_url').'/includes/tinymce/note.js';
   return $plugin_array;
}
